<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">PlayerPerspective Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>actionChangeFloorSignal</b>(int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>actionChangeWagonSignal</b>(int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>actionFireSignal</b>(int playerIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>actionPunchSignal</b>(int treasureIndex, int playerIndex, int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>actionRobberySignal</b>(int treasureIndex, int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>actionSheriffSignal</b>(int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>addGameToScene</b>() (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>drawCards</b>(int n) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>getPlayerSize</b>() (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>getPlayerToMoveIndex</b>() const (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>movePlayed</b>(PlayerPerspective *, int indexOfNextPerspective) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onActionChangeFloorSignal</b>(int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>onActionChangeWagonSignal</b>(int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onActionFireSignal</b>(int playerIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>onActionPunchSignal</b>(int treasureIndex, int playerIndex, int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onActionRobberySignal</b>(int treasureIndex, int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>onActionSheriffSignal</b>(int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onClickedCardInDeckInPlayer</b>(Card *c, Deck *d, Player *p) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>onClickedCardInHandInPlayer</b>(Card *c, Hand *h, Player *p) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onClickedPlayerInWagonInTrain</b>(Player *, Wagon *, Train *) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>onClickedTreasureInPlayerStatsInTable</b>(Treasure *, PlayerStats *, Table *) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onClickedTreasureInWagonInTrain</b>(Treasure *t, Wagon *w, Train *train) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>onClickedWagonInTrain</b>(Wagon *w, Train *train) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onPlayerChoseWagon</b>(int playerIndex, int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>onPlayerDrawCards</b>(int playerIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>onPlayerPlayedCard</b>(int playerIndex, int CardIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">slot</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>playerChoseWagon</b>(int playerIndex, int wagonIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>playerDrawCards</b>(int playerIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>PlayerPerspective</b>(Game *game, int playerIndex, QObject *parent=nullptr) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>PlayerPerspective</b>() (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>playerPlayedCard</b>(int playerIndex, int CardIndex) (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"><span class="mlabel">signal</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>removeGameFromScene</b>() (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>setNextPlayerToToMove</b>() (defined in <a class="el" href="classPlayerPerspective.html">PlayerPerspective</a>)</td><td class="entry"><a class="el" href="classPlayerPerspective.html">PlayerPerspective</a></td><td class="entry"></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
